order.dendrogram {stats} | R Documentation

## Ordering or Labels of the Leaves in a Dendrogram

### Description

Theses functions return the order (index) or the `"label"` attribute for the leaves in a dendrogram. These indices can then be used to access the appropriate components of any additional data.

### Usage

    order.dendrogram(x)

    ## S3 method for class 'dendrogram'
    labels(object, ...)

### Arguments

`x, object` | a dendrogram (see `as.dendrogram`).
`...` | additional arguments

### Details

The indices or labels for the leaves in left to right order are retrieved.

### Value

A vector with length equal to the number of leaves in the dendrogram is returned. From `r <- order.dendrogram()`, each element is the index into the original data (from which the dendrogram was computed).

### Author(s)

R. Gentleman (`order.dendrogram`) and Martin Maechler (`labels.dendrogram`).

### See Also

`reorder`, `dendrogram`.

### Examples

    set.seed(123)
    x <- rnorm(10)
    hc <- hclust(dist(x))
    hc$order
    dd <- as.dendrogram(hc)
    order.dendrogram(dd) ## the same :
    stopifnot(hc$order == order.dendrogram(dd))

    d2 <- as.dendrogram(hclust(dist(USArrests)))
    labels(d2) ## in this case the same as
    stopifnot(identical(labels(d2),
       rownames(USArrests)[order.dendrogram(d2)]))

[Package stats version 2.15.1 Index]